coreEngine.reliabilityAnalysis

## Class ScenarioGenerator.IncidentInfo

- java.lang.Object
- - coreEngine.reliabilityAnalysis.ScenarioGenerator.IncidentInfo

- All Implemented Interfaces:
    java.lang.Comparable
  Enclosing class:
    ScenarioGenerator

      private class ScenarioGenerator.IncidentInfo
      extends java.lang.Object
      implements java.lang.Comparable

  Class for comparing Incidents by severity. Used during scenario generation to assign incidents of higher severity (i.e. higher lane closures) first so as to give them the best chance of being assigned to a valid segment and time period.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `incIdx` Index of the incident.
    `int` | `severity` Severity type of the incident.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncidentInfo(int incIdx, int severity)` Constructor for IncidentInfo Object

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)` Compares method based on the severity of the incident.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### incIdx

          public int incIdx

      Index of the incident.

    - #### severity

          public int severity

      Severity type of the incident. (0 - Shoulder closure, 1 - One lane closure, 2 - Two lane closure, 3 - Three lane closure, 4 - Four or more lane closure

  - ### Constructor Detail

    - #### IncidentInfo

          public IncidentInfo(int incIdx,
                              int severity)

      Constructor for IncidentInfo Object
      Parameters:
        `incIdx` - Index of the incident.
        `severity` - Severity type of the incident.

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object o)

      Compares method based on the severity of the incident.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`
      Parameters:
        `o` -
      Returns: